ZILE(1)

NAME
zile - Zile Is Lossy Emacs

SYNOPSIS
zile [-hqV] [-f function] [-u rcfile] [-v variable=value] [+number] [file ...]

DESCRIPTION
Zile is another Emacs clone. Zile is a customizable, self-documenting real-time display editor.

This document contains only a brief description of the Zile editor. For a more complete documentation, please read the Info file or the Texinfo manual.

The options are as follows:

+number
    For the first file the cursor will be positioned on the line specified by number (do not insert a space between the "+" sign and the number).

-f function
    Invoke the named internal function with no arguments.

-q  Do not load the user's initialization file.

-u rcfile
    Specify an alternate initialization file.

-v variable=value
    Set a Zile variable to the specified value (this overrides the value specified in the initialization file).

-V  Print version information on standard output then exit.

COMMANDS

TAB insert a tab character

RET insert a new line

BS  backspace

INS toggle overwrite mode

F11 switch to a correlated buffer

C-@, C-SPC, F5
    set mark

C-a, HOME
    go to the beginning of line

C-b, LEFT
    move cursor to the previous char

C-d, DEL
    delete current char

C-e, END
    go to the end of line

C-f, RIGHT
    move cursor to the next char

C-g cancel current command

C-h F
    show the FAQ

C-h c
    describe briefly a key sequence

C-h d, C-h f
    describe a function

C-h h, F1
    show an help window

C-h k
    describe a key sequence

C-h l b
    show the defined bindings

C-h l f
    show the defined functions

C-h l r
    show the defined registers

C-h l v
    list defined variables

C-h s
    show a sample configuration file

C-h t
    show a tutorial window

C-h v
    describe a variable

C-k, F6
    kill line

C-l redraw display

C-n, DOWN
    move cursor to the next line

C-p, UP
    move cursor to the previous line

C-q read next input character and insert it

C-r search backward

C-s search forward

C-u begin a numeric argument for the following command

C-v, PGDN
    scroll up one screen page

C-w, F7
    kill region

C-x (
    start recording keyboard macro

C-x)
    end recording keyboard macro

C-x 0
    delete the current window

C-x 1
    delete the other open windows

C-x 2
    split current window

C-x ^
    enlarge current window

C-x b
    switch to a buffer

C-x e, F12
    execute the last recorded keyboard macro

C-x f
    set the fill column

C-x h
    mark whole buffer

C-x i
    insert the contents of a file

C-x k
    kill current buffer

C-x o
    select the other window

C-x r i
    insert register

C-x r s
    copy region to register

C-x s
    save modified buffers

C-x u, C-_, F4
    undo some previous changes

C-y, F8
    yank killed text

C-z, C-x C-z
    stop Zile and return to superior process

C-x C-b
    list buffers

C-x C-c
    save modified buffers and quit zile

C-x C-f, F2
    find a file for editing

C-x C-l
    convert the region to lower case

C-x C-q
    toggle read only mode

C-x C-s, F3
    save the current buffer

C-x C-u
    convert the region to upper case

C-x C-v
    kill the current buffer and find a file for editing

C-x C-w
    write buffer to a file

C-x C-x
    exchange point and mark

M-! execute an external command in inferior shell

M-| execute an external command on current region

M-< go to the beginning of buffer

M-> go to the end of buffer

M-b move backward until encountering the end of a word

M-c capitalize the following word

M-f move point forward one word

M-g read line number and go there

M-l convert following word to lower case

M-m go to the first non-whitespace character on this line

M-s shrink current window

M-u convert following word to upper case

M-v, PGUP
    scroll down one screen page

M-w save the region as if killed, but don't kill it

M-x execute extended command

FILES

~/.zilerc
    user customized Zile initialization file

/usr/share/zile/AUTODOC
    self-documentation

/usr/share/zile/FAQ
    Zile FAQ

/usr/share/zile/HELP
    Zile manual

/usr/share/zile/TUTORIAL
    Zile tutorial

/usr/share/zile/zilerc.sample
    sample Zile initialization file

SEE ALSO
emacs(1), xemacs(1), vi(1)

AUTHORS
Sandro Sigala <sandro@sigala.it>
David A. Capello <dacap@users.sourceforge.net>
Reuben Thomas <rrt@sc3d.org>